View Issue Details

IDProjectCategoryView StatusLast Update
0001481Industrial-Craft²tools / electric itemspublic2015-06-27 16:42
ReporterPinkbyteAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001481: Discharged armor disappears on damage
DescriptionIn short - when armor parts(nano/quantum) charge level hits 0 and player is taken damage - armor parts are disappearing.

Checked on:
Industrial Craft 2.2.650
Minecraft 1.7.10
Forge 10.13.2.1230
Steps To Reproduce1. Discharge armor
2. Find hostile mob or just fall from high place(surely works for discharged boots)
3. Open inventory and see that armor parts are gone
TagsCan be closed
Minecraft Version

Activities

Chocohead

2014-12-03 16:01

developer   ~0003582

They don't for me, is this single or multiplayer?

Pinkbyte

2014-12-03 21:19

reporter   ~0003583

In multiplayer. Server runs on Cauldron, but i checked with Forge too and hit exactly the same error

Chocohead

2014-12-03 22:11

developer   ~0003584

Works fine on single player, might be a multi-player only bug

Error_998

2015-01-13 15:44

reporter   ~0003656

Can confirm this happens in multiplayer

IC2 Version: industrialcraft-2-2.2.658-experimental
Forge Version: 10.13.2.1236

Draykon

2015-01-19 05:50

reporter   ~0003679

it can happen is single player as well, when enchanted it will break in single player 'it takes some time tho' in multiplayer it almost instant disappears when it gets damage. none enchanted in single player stays there, multiplayer can't say the same

IC2 Version: industrialcraft-2-2.2.658-experimental
Forge Version: 10.13.2.1236

Chocohead

2015-01-19 17:08

developer   ~0003680

It shouldn't be enchantable, that's a bug in itself if you're doing that.

hanakocz

2015-01-22 09:46

reporter   ~0003688

Enchants are possible via NBT editor. For example ingame NBTEdit does the job well. And enchants work. We use it to add Uncorrodible enchant on it, because we have mod ToxicRain , which causes people exposed to rain to get poison. This Enchant has a chance to negate that efect, so we added it on suits. Works well, no bugs with that. We needed to add that on Hazmat too, because thematically it should protect :)

However, also we have problem with disappearing armor, also with jetpacks on zero power (and then being hit by anything destroys the jetpack - even fire, not only mobs). Hadn´t tested batpacks.

And one more related to Quantum - one player feel on Ender crystal in fully powered Q-suit and instantly died , same instant death for being rolled over by RailCraft train :) But probably that should be this way

Player

2015-01-25 04:57

administrator   ~0003696

This sort of issue is typically a fault of whatever applies the damage. If it doesn't go through the proper Forge ISpecialArmor aware code path, it'll break. The same applies to enchants or other methods of damaging armor directly, i.e. those alter the ItemStack damage value instead of calling ISpecialArmor.damageArmor(), completely outside IC2's influence.

Since IC2 configures ISpecialArmor in a way that can never let actual damage go through to the ItemStack, it's not our fault.

ExDomino

2015-03-24 13:51

reporter   ~0003795

Armors are even destroyed by vanilla fire or lava. For example, you wear nano boots and go into lava, you'll see your boots being destroyed. Same problem with batpacks and jetpacks. And according of my tests, the armor breaking may be caused by every kind of damage : fire, lava, mob hit, falling, potion effect, and so on.

Player

2015-03-24 15:20

administrator   ~0003796

That's not happening in vanilla as far as I can tell. The latest build should detect those incorrect damage applications.

ExDomino

2015-03-27 21:40

reporter   ~0003807

Last edited: 2015-03-27 21:43

View 5 revisions

The latest build resolves the problem when you get damage when you're alive, but if you dead with an empty armor, in some circonstances it's still destroyed, by example dead by an enderman in the end with an empty jetpack. I really don't know why though. But the problem is really less worth than before, the update was really helpful ! However the console is spam each time a player who wear a IC2 armor get any kind of damage.

Player

2015-03-27 23:59

administrator   ~0003809

While you're alive IC2 should log which mod applied the damage improperly though.

Pinkbyte

2015-06-25 22:17

reporter   ~0003923

Last edited: 2015-06-25 22:18

View 2 revisions

Can not reproduce this with newer versions of Forge. Most certainly it was not IC2 issue at all

Thank you for the efforts and please close this issue

Issue History

Date Modified Username Field Change
2014-12-03 11:41 Pinkbyte New Issue
2014-12-03 16:01 Chocohead Note Added: 0003582
2014-12-03 21:19 Pinkbyte Note Added: 0003583
2014-12-03 22:11 Chocohead Note Added: 0003584
2015-01-13 15:44 Error_998 Note Added: 0003656
2015-01-19 05:50 Draykon Note Added: 0003679
2015-01-19 17:08 Chocohead Note Added: 0003680
2015-01-22 09:46 hanakocz Note Added: 0003688
2015-01-25 04:57 Player Note Added: 0003696
2015-03-24 13:51 ExDomino Note Added: 0003795
2015-03-24 15:20 Player Note Added: 0003796
2015-03-27 21:40 ExDomino Note Added: 0003807
2015-03-27 21:41 ExDomino Note Edited: 0003807 View Revisions
2015-03-27 21:42 ExDomino Note Edited: 0003807 View Revisions
2015-03-27 21:42 ExDomino Note Edited: 0003807 View Revisions
2015-03-27 21:43 ExDomino Note Edited: 0003807 View Revisions
2015-03-27 23:59 Player Note Added: 0003809
2015-06-23 20:53 Aroma1997 Status new => feedback
2015-06-25 22:17 Pinkbyte Note Added: 0003923
2015-06-25 22:17 Pinkbyte Status feedback => new
2015-06-25 22:18 Pinkbyte Note Edited: 0003923 View Revisions
2015-06-27 16:42 Chocohead Tag Attached: Can be closed